# [THESAURUS SYNONYMS 0 DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-0-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-0-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-0-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-0-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-0-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l 0.json
    136 0.json
  
    $ du -sh 0.js*
    612K	0.json
     36K	0.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-0-data) 📦

    npm i -S thesaurus-synonyms-0-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-0-data').loadSync()
```

    [ { key: '104s',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/104s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '10-4s',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10-4s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '10-4',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10-4/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '10 4s',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10%204s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '10 4',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10%204/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '10',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '1-800 numbers',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/1-800%20numbers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '1-800 number',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/1-800%20number/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '1 800 numbers',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/1%20800%20numbers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '1 800 number',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/1%20800%20number/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '1',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/1/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '0s',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/0s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '.25s',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/.25s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '.25',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/.25/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '-carat',
        datetime: '2018-03-24 13:41:26',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/-carat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9p%C3%A9es',
        datetime: '2018-03-28 09:29:29',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9p%C3%A9es/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9p%C3%A9e',
        datetime: '2018-03-28 09:29:29',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E02/E0229600.ogg',
           'http://static.sfdict.com/audio/E02/E0229600.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9p%C3%A9e/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9lan-vital',
        datetime: '2018-03-28 09:29:29',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9lan-vital/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9lan vital',
        datetime: '2018-03-28 09:29:29',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0078100.ogg',
           'http://static.sfdict.com/audio/E00/E0078100.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9lan%20vital/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9clairs',
        datetime: '2018-03-28 09:29:30',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9clairs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9clair',
        datetime: '2018-03-28 09:29:31',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0027500.ogg',
           'http://static.sfdict.com/audio/E00/E0027500.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9clair/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A1 la mode',
        datetime: '2018-03-28 09:29:31',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A1%20la%20mode/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A0 la mode',
        datetime: '2018-03-28 09:29:32',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/A02/A0263700.ogg',
           'http://static.sfdict.com/audio/A02/A0263700.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A0%20la%20mode/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '911s',
        datetime: '2018-03-28 09:29:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/911s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '911',
        datetime: '2018-03-28 09:29:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/911/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '900 number',
        datetime: '2018-03-28 09:29:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/900%20number/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '9 mms',
        datetime: '2018-03-28 09:29:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/9%20mms/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '9 mm',
        datetime: '2018-03-28 09:29:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/9%20mm/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '86s',
        datetime: '2018-03-28 09:29:36',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/86s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '86ing',
        datetime: '2018-03-28 09:29:36',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/86ing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '86ed',
        datetime: '2018-03-28 09:29:36',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/86ed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '86',
        datetime: '2018-03-28 09:29:37',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/86/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9migr%C3%A9',
        datetime: '2018-03-28 09:29:29',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E01/E0140600.ogg',
           'http://static.sfdict.com/audio/E01/E0140600.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9migr%C3%A9/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9lan',
        datetime: '2018-03-28 09:29:29',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0077700.ogg',
           'http://static.sfdict.com/audio/E00/E0077700.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9lan/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '%C3%A9clat',
        datetime: '2018-03-28 09:29:30',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/E00/E0027900.ogg',
           'http://static.sfdict.com/audio/E00/E0027900.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/%C3%A9clat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '800 number',
        datetime: '2018-03-28 09:34:57',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/800%20number/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '78s',
        datetime: '2018-03-28 09:34:57',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/78s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '78',
        datetime: '2018-03-28 09:34:57',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/S03/S0381200.ogg',
           'http://static.sfdict.com/audio/S03/S0381200.mp3' ],
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/78/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5day forecasts',
        datetime: '2018-03-28 09:34:57',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5day%20forecasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5day forecast',
        datetime: '2018-03-28 09:34:57',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5day%20forecast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5-day forecasts',
        datetime: '2018-03-28 09:34:57',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5-day%20forecasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5-day forecast',
        datetime: '2018-03-28 09:34:58',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5-day%20forecast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5 day forecasts',
        datetime: '2018-03-28 09:34:58',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5%20day%20forecasts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '5 day forecast',
        datetime: '2018-03-28 09:34:59',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/5%20day%20forecast/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4x4s',
        datetime: '2018-03-28 09:34:59',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4x4s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4x4',
        datetime: '2018-03-28 09:34:59',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4x4/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4wds',
        datetime: '2018-03-28 09:34:59',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4wds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4wd',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4wd/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4way flashers',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4way%20flashers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4way flasher',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4way%20flasher/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '49th states',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/49th%20states/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '49th state',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/49th%20state/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '45s',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/45s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '45',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/45/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '401k funds',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/401k%20funds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '401k fund',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/401k%20fund/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4-way flashers',
        datetime: '2018-03-28 09:35:00',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4-way%20flashers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4-way flasher',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4-way%20flasher/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4 way flashers',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4%20way%20flashers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '4 way flasher',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/4%20way%20flasher/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '3rd shifts',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/3rd%20shifts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '3rd shift',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/3rd%20shift/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365day calendar years',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365day%20calendar%20years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365day calendar year',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365day%20calendar%20year/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365-day calendar years',
        datetime: '2018-03-28 09:35:02',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365-day%20calendar%20years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365-day calendar year',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365-day%20calendar%20year/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365 day calendar years',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365%20day%20calendar%20years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '365 day calendar year',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/365%20day%20calendar%20year/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '35mms',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/35mms/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '35mm',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/35mm/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '33s',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/33s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '33',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/33/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '25s',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/25s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '25 cents',
        datetime: '2018-03-28 09:35:03',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/25%20cents/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '25 cent',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/25%20cent/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '25',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/25/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24karat',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24karat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24carat',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24carat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '247',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/247/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24/7/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24-karat',
        datetime: '2018-03-28 09:35:04',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24-karat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24-carat',
        datetime: '2018-03-28 09:35:05',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24-carat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24-7',
        datetime: '2018-03-28 09:35:05',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24-7/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24 karat',
        datetime: '2018-03-28 09:35:05',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24%20karat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24 carat',
        datetime: '2018-03-28 09:35:05',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24%20carat/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '24 7',
        datetime: '2018-03-28 09:35:06',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/24%207/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '2020s',
        datetime: '2018-03-28 09:35:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/2020s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '2020 visions',
        datetime: '2018-03-28 09:35:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/2020%20visions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '2020 vision',
        datetime: '2018-03-28 09:35:34',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/2020%20vision/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '2020',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/2020/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20/20s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20/20%20visions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20/20%20vision/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20/20/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20-20s',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20-20s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20-20 visions',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20-20%20visions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20-20 vision',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20-20%20vision/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20-20',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20-20/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20 20s',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20%2020s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      { key: '20 20 visions',
        datetime: '2018-03-28 09:35:35',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/20%2020%20visions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' },
      ... 36 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-0-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    '10-4s'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-0-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('10-4s');
```

    { key: '10-4s',
        datetime: '2018-03-24 13:41:25',
        page_number: 1,
        letter: '0',
        word_url: 'http://www.thesaurus.com/browse/10-4s/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/0/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-0-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('10-4s', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'noun',
           words: [Array],
           ttl: 'agreement, mutual understanding (often written)' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/accord',
           text: 'accord',
           words: [Array],
           def: 'noun. agreement, mutual understanding (often written)' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - 12-step

```json
{
  "key": "12-step",
  "datetime": "2018-03-28 09:35:38",
  "page_number": 1,
  "letter": "0",
  "word_url": "http://www.thesaurus.com/browse/12-step/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/AA",
            "text": "AA",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/Alcoholics%20Anonymous",
            "text": "Alcoholics Anonymous",
            "length": 3,
            "complexity": 3,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/Narcotics%20Anonymous",
            "text": "Narcotics Anonymous",
            "length": 3,
            "complexity": 3,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/self-help%20group",
            "text": "self-help group",
            "length": 3,
            "complexity": 3,
            "id": 4
          }
        ],
        "ttl": "support group for addicts"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/twelve%20step%20program",
        "text": "twelve step program",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/12-step",
            "word": "12-step"
          },
          {
            "url": "http://www.thesaurus.com/browse/AA",
            "word": "AA"
          },
          {
            "url": "http://www.thesaurus.com/browse/Alcoholics%20Anonymous",
            "word": "Alcoholics Anonymous"
          },
          {
            "url": "http://www.thesaurus.com/browse/Narcotics%20Anonymous",
            "word": "Narcotics Anonymous"
          },
          {
            "url": "http://www.thesaurus.com/browse/self-help%20group",
            "word": "self-help group"
          }
        ],
        "def": "noun. support group for addicts"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/0/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
